<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Schemes</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Schemes</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Schemes<span class="signature">()</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="Schemes"><span class="type-signature"></span>new Schemes<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>collection of json schemes
some functions for dynamic scheme creation</p>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line24">line 24</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="device"><span class="type-signature"></span>device<span class="type-signature"></span></h4>




<div class="description">
    <p>Scheme for creating a new HTTP Device
Following Properties will be added by default.
For HTTP Device
&quot;url&quot;:{&quot;type&quot;:&quot;string&quot;,&quot;description&quot;:&quot;&quot;}
For ALL
&quot;name&quot;{&quot;type&quot;:&quot;string&quot;,&quot;description&quot;:&quot;name the device to identify it when you create a Cue&quot;}</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line472">line 472</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="devices"><span class="type-signature"></span>devices<span class="type-signature"></span></h4>




<div class="description">
    <p>Devices are user generated. The Object is being populated dynamically</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line321">line 321</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="level"><span class="type-signature"></span>level<span class="type-signature"></span></h4>










<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line123">line 123</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="midi"><span class="type-signature"></span>midi<span class="type-signature"></span></h4>




<div class="description">
    <p>settings scheme for midi midi.js devices or tools</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line434">line 434</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="midi_ports"><span class="type-signature"></span>midi_ports<span class="type-signature"></span></h4>




<div class="description">
    <p>list of available midi ports</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line431">line 431</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="status"><span class="type-signature"></span>status<span class="type-signature"></span></h4>




<div class="description">
    <p>dafault scheme to modify player/status entries. Status item exists by Default
and has only 1 instance
Will add:
&quot;title&quot;:&quot;status&quot;</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line559">line 559</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="stencils"><span class="type-signature"></span>stencils<span class="type-signature"></span></h4>




<div class="description">
    <p>Default Device Templates (stencils)</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="editor_default_schemes.js.html">editor/default_schemes.js</a>, <a href="editor_default_schemes.js.html#line512">line 512</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Collection.html">Collection</a></li><li><a href="Editor.html">Editor</a></li><li><a href="FileMenu.html">FileMenu</a></li><li><a href="Form.html">Form</a></li><li><a href="Level.html">Level</a></li><li><a href="Overview.html">Overview</a></li><li><a href="Schemes.html">Schemes</a></li><li><a href="SessionControl.html">SessionControl</a></li><li><a href="Sessions.html">Sessions</a></li></ul><h3>Global</h3><ul><li><a href="global.html#addGame">addGame</a></li><li><a href="global.html#confirmation">confirmation</a></li><li><a href="global.html#createGame">createGame</a></li><li><a href="global.html#CueBar">CueBar</a></li><li><a href="global.html#CueButton">CueButton</a></li><li><a href="global.html#editor">editor</a></li><li><a href="global.html#form">form</a></li><li><a href="global.html#generateUUID">generateUUID</a></li><li><a href="global.html#inputPrompt">inputPrompt</a></li><li><a href="global.html#removeGame">removeGame</a></li><li><a href="global.html#schemes">schemes</a></li><li><a href="global.html#showSessions">showSessions</a></li><li><a href="global.html#TabButton">TabButton</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Sun Dec 15 2019 13:33:44 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>